import {Module} from "vuex";

const complianceStore: Module<any,any> = {
    state: {
        compliance: undefined,
    },
    mutations: {
        SET_COMPLIANCE(state, value) {
            state.compliance = value
        },
    },
    actions: {
        compliance({commit}, value) {
            commit('SET_COMPLIANCE', value)
        },
    },
    getters: {
        get_compliance: state => state.compliance,
    }
}

export default complianceStore